<%@ Control Language="vb" AutoEventWireup="false" Codebehind="CLinks.ascx.vb" Inherits="DNNChina.Modules.CLinks.CLinks" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" %>
<asp:panel id="pnlList" runat="server">
<asp:datalist id="lstCLinks" runat="server" RepeatColumns="<%# RepeatColumns %>" RepeatDirection="<%# LinkView %>" cellpadding="0" itemstyle-verticalalign="Top">
    <itemtemplate>
      <table border="0" cellpadding="4" cellspacing="0">
        <tr>
          <td nowrap>
            <asp:HyperLink id="editLink1" NavigateUrl='<%# EditURL("ItemID",DataBinder.Eval(Container.DataItem,"ItemID")) %>' Visible="<%# IsEditable %>" runat="server" >
              <asp:Image id="editLinkImage1" ImageUrl="~/images/edit.gif" AlternateText="Edit" Visible="<%# IsEditable %>" Runat="server" />
            </asp:HyperLink>
            <asp:HyperLink ID="link1" CssClass="Normal" Text='<%# DataBinder.Eval(Container.DataItem,"Title") %>' NavigateUrl='<%# FormatURL(DataBinder.Eval(Container.DataItem,"Url"),DataBinder.Eval(Container.DataItem,"TrackClicks")) %>' ToolTip='<%# DataBinder.Eval(Container.DataItem,"Description") %>' Target= '<%# IIF(DataBinder.Eval(Container.DataItem,"NewWindow"),"_blank","_self") %>' runat="server" />
          </td>
        </tr>
      </table>
    </itemtemplate>
  </asp:datalist>
</asp:panel>
<asp:panel id="pnlCList" runat="server">
<asp:DataList id="lstCLinkCategory" runat="server">
    <ItemTemplate>
      <TABLE width="100%">
        <TR>
          <TD>
            <asp:Label id="lblCategoryName" CssClass="SubHead" runat="server">
              <%# IIF(DataBinder.Eval(Container.DataItem,"CategoryName") = "" or DataBinder.Eval(Container.DataItem,"CategoryName") Is Nothing,NoCategory,DataBinder.Eval(Container.DataItem,"CategoryName")) %>
            </asp:Label></TD>
        </TR>
        <TR>
          <TD>
            <asp:DataList id="lstClinkByCategory" runat="server" DataSource='<%# GetCLinksByCategory(DataBinder.Eval(Container.DataItem,"CategoryName").ToString) %>' RepeatDirection="<%# LinkView %>" RepeatColumns="<%# RepeatColumns %>">
              <itemtemplate>
                <table border="0" cellpadding="4" cellspacing="0">
                  <tr>
                    <td nowrap>
                      <asp:HyperLink id="editLink2" NavigateUrl='<%# EditURL("ItemID",DataBinder.Eval(Container.DataItem,"ItemID")) %>' Visible="<%# IsEditable %>" runat="server">
                        <asp:Image id="editLinkImage2" ImageUrl="~/images/edit.gif" AlternateText="Edit" Visible="<%# IsEditable %>" Runat="server" />
                      </asp:HyperLink>
                      <asp:HyperLink ID="link2" CssClass="Normal" Text='<%# DataBinder.Eval(Container.DataItem,"Title") %>' NavigateUrl='<%# FormatURL(DataBinder.Eval(Container.DataItem,"Url"),DataBinder.Eval(Container.DataItem,"TrackClicks")) %>' ToolTip='<%# DataBinder.Eval(Container.DataItem,"Description") %>' Target= '<%# IIF(DataBinder.Eval(Container.DataItem,"NewWindow"),"_blank","_self") %>' runat="server" />
                    </td>
                  </tr>
                </table>
              </itemtemplate>
            </asp:DataList>
          </TD>
        </TR>
        <tr runat="server" Visible='<%# Max > 0 %>'><td align="right"><asp:HyperLink ID="lnkMore1" CssClass="Normal" Runat="server" resourcekey="More" Text="more.." NavigateUrl='<%# EditURL("CategoryName",DataBinder.Eval(Container.DataItem,"CategoryName").ToString,"More") %>'></asp:HyperLink></td></tr>
      </TABLE>
    </ItemTemplate>
  </asp:DataList>
</asp:panel>
<asp:panel id="pnlDropdown" runat="server">
<asp:DropDownList id="cboLinks" Runat="server" cssclass="NormalTextBox" Width="150" onchange="javascript:if(this.value!=''){window.open(this.value)}"></asp:DropDownList>
</asp:panel>
<asp:panel id="pnlCDropdown" runat="server">
<asp:DataList id="lstCDLinkCategory" runat="server">
    <ItemTemplate>
      <asp:DropDownList id="cboCLinks" runat="server" cssclass="NormalTextBox" Width="150" onchange="javascript:if(this.value!=''){window.open(this.value)}"></asp:DropDownList>
    </ItemTemplate>
  </asp:DataList>
</asp:panel>
<asp:panel id="pnlImage" runat="server">
<asp:DataList id="lstImageLink" runat="server" RepeatColumns="<%# RepeatColumns %>" RepeatDirection="<%# LinkView %>">
    <ItemTemplate>
      <table border="0" cellspacing="0" cellpadding="4">
        <tr>
          <td align="center">
            <asp:HyperLink ID="editLink3" NavigateUrl='<%# EditURL("ItemID",DataBinder.Eval(Container.DataItem,"ItemID")) %>' Runat="server" Visible="<%# IsEditable %>">
              <asp:Image ID="editLinkImage3" Runat="server" ImageUrl="~/images/edit.gif" AlternateText="Edit"></asp:Image>
            </asp:HyperLink>
            <asp:HyperLink ID="Link3" NavigateUrl='<%# FormatURL(DataBinder.Eval(Container.DataItem,"Url"),DataBinder.Eval(Container.DataItem,"TrackClicks")) %>' Target= '<%# IIF(DataBinder.Eval(Container.DataItem,"NewWindow"),"_blank","_self") %>' ToolTip='<%# DataBinder.Eval(Container.DataItem,"Description") %>' Runat="server">
              <asp:Image ID="imgLinkImage" Runat="server" ImageUrl='<%# FormatImageURL(DataBinder.Eval(Container.DataItem,"ImageUrl")) %>'>
              </asp:Image>
            </asp:HyperLink>
          </td>
        </tr>
      </table>
    </ItemTemplate>
  </asp:DataList>
</asp:panel>
<asp:panel id="pnlCImage" runat="server">
<asp:DataList id="lstImageCategory" runat="server">
    <ItemTemplate>
      <TABLE width="100%">
        <TR>
          <TD>
            <asp:Label id="Label1" CssClass="SubHead" runat="server">
              <%# IIF(DataBinder.Eval(Container.DataItem,"CategoryName") = "" or DataBinder.Eval(Container.DataItem,"CategoryName") Is Nothing,NoCategory,DataBinder.Eval(Container.DataItem,"CategoryName")) %>
            </asp:Label></TD>
        </TR>
        <TR>
          <TD>
            <asp:DataList id="lstImageByCategory" runat="server" DataSource='<%# GetCImageLinksByCategory(DataBinder.Eval(Container.DataItem,"CategoryName").ToString) %>' RepeatDirection="<%# LinkView %>" RepeatColumns="<%# RepeatColumns %>">
              <itemtemplate>
                <table border="0" cellpadding="4" cellspacing="0">
                  <tr>
                    <td align="center">
                      <asp:HyperLink ID="Hyperlink1" NavigateUrl='<%# EditURL("ItemID",DataBinder.Eval(Container.DataItem,"ItemID")) %>' Runat="server" Visible="<%# IsEditable %>">
                        <asp:Image ID="Image1" Runat="server" ImageUrl="~/images/edit.gif" AlternateText="Edit"></asp:Image>
                      </asp:HyperLink>
                      <asp:HyperLink ID="Hyperlink2" NavigateUrl='<%# FormatURL(DataBinder.Eval(Container.DataItem,"Url"),DataBinder.Eval(Container.DataItem,"TrackClicks")) %>' Target= '<%# IIF(DataBinder.Eval(Container.DataItem,"NewWindow"),"_blank","_self") %>' ToolTip='<%# DataBinder.Eval(Container.DataItem,"Description") %>' Runat="server">
                        <asp:Image ID="Image2" Runat="server" ImageUrl='<%# FormatImageURL(DataBinder.Eval(Container.DataItem,"ImageUrl")) %>'>
                        </asp:Image>
                      </asp:HyperLink>
                    </td>
                  </tr>
                </table>
              </itemtemplate>
            </asp:DataList>
          </TD>
        </TR>
      </TABLE>
    </ItemTemplate>
  </asp:DataList>
</asp:panel>
<table width="100%"><tr><td align="right"><asp:HyperLink ID="lnkMore" CssClass="Normal" resourcekey="More" Runat="server" Text="more.."></asp:HyperLink></td></tr></table>